#!/bin/sh

srcdir=@srcdir@

if test "@TEMPLATE_SUBCLASS_ARG_MATCHING_OK@" = "yes" -a \
        "@TEMPLATE_CONST_ARG_MATCHING_OK@" = "yes" ; then
  perl ${srcdir}/generate < ${srcdir}/Array.h.in > ${srcdir}/Array.h
else
  cp ${srcdir}/Array.h.res ${srcdir}/Array.h
fi

